<select class="bs4AddBlock">
    <option value="" selected disabled>Add a block...</option>
    @php
        if(isset($item))
            $blocks = $item->getAddableBlockNames();
        else //though theoretically this should never be called this was the prior usage
            $blocks =  App\Models\Block::getBlockNames(@$item); // @deprecated to be changed to getBlockNamesExt in future release
    @endphp
    @foreach($blocks as $b )
        <option value="{{ $b }}">{{ Str::headline($b) }}</option>
    @endforeach
</select>